ata_id_string
Prev | Chapter 4. libata Library | Next

## Name

ata_id_string — Convert IDENTIFY DEVICE page into string

## Synopsis

`void ata_id_string (` | const u16 * | id,
| unsigned char * | s,
| unsigned int | ofs,
| unsigned int | len`)`;

## Arguments

`id`

  IDENTIFY DEVICE results we will examine

`s`

  string into which data is output

`ofs`

  offset into identify device page

`len`

  length of string to return. must be an even number.

## Description

The strings in the IDENTIFY DEVICE page are broken up into 16-bit chunks. Run through the string, and output each 8-bit chunk linearly, regardless of platform.

## LOCKING

caller.

Prev | Up | Next
ata_dev_try_classify | Home | ata_id_c_string